Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.set
Class AbstractSortedSetDecorator

    java.lang.Object
      |
      +--org.apache.commons.collections.collection.AbstractCollectionDecorator
            |
            +--org.apache.commons.collections.set.AbstractSetDecorator
                  |
                  +--org.apache.commons.collections.set.AbstractSortedSetDecorator

All Implemented Interfaces:
  Collection, Set, SortedSet

Direct Known Subclasses:
  UnmodifiableSortedSet

public abstract class AbstractSortedSetDecorator
extends AbstractSetDecorator
implements SortedSet

Decorates another `SortedSet` to provide additional behaviour.

Methods are forwarded directly to the decorated set.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/06/02 21:53:03 $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` | `AbstractSortedSetDecorator()` Constructor only used in deserialization, do not use otherwise.
`protected` | `AbstractSortedSetDecorator(Set set)` Constructor that wraps (not copies).

Method Summary
`Comparator` | `comparator()`
`Object` | `first()`
`protected SortedSet` | `getSortedSet()` Gets the sorted set being decorated.
`SortedSet` | `headSet(Object toElement)`
`Object` | `last()`
`SortedSet` | `subSet(Object fromElement, Object toElement)`
`SortedSet` | `tailSet(Object fromElement)`

Methods inherited from class org.apache.commons.collections.set.AbstractSetDecorator
`getSet`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractSortedSetDecorator

    protected AbstractSortedSetDecorator()

  Constructor only used in deserialization, do not use otherwise.

Since:
  Commons Collections 3.1

### AbstractSortedSetDecorator

    protected AbstractSortedSetDecorator(Set set)

  Constructor that wraps (not copies).

Parameters:
  `set` - the set to decorate, must not be null
Throws:
  `IllegalArgumentException` - if set is null

Method Detail

### getSortedSet

    protected SortedSet getSortedSet()

  Gets the sorted set being decorated.

  Returns:
    the decorated set

### subSet

    public SortedSet subSet(Object fromElement,
                            Object toElement)

  Specified by:
    `subSet` in interface `SortedSet`

### headSet

    public SortedSet headSet(Object toElement)

  Specified by:
    `headSet` in interface `SortedSet`

### tailSet

    public SortedSet tailSet(Object fromElement)

  Specified by:
    `tailSet` in interface `SortedSet`

### first

    public Object first()

  Specified by:
    `first` in interface `SortedSet`

### last

    public Object last()

  Specified by:
    `last` in interface `SortedSet`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.